PDA

View Full Version : need patches



mcpolle13
12-24-2010, 07:59 AM
Hi guys, am as we are reading this downloading 1946, but am gonna need the patches, where do I find them??

Thx

Polle

KRISTORF
12-24-2010, 08:06 AM
Download and install 4.08, 4.09 and 4.10 and install in that order

http://www.mission4today.com/i...name=Downloads&c=564 (http://www.mission4today.com/index.php?name=Downloads&c=564)

mcpolle13
12-24-2010, 08:39 AM
thx for the link, am downloading right now:-)

Polle